## ip2host 1.10

=== Makefile ===
BIN_DIR=$(DESTDIR)/usr/bin
MAN_DIR=$(DESTDIR)/usr/share/man/man1

all: 

install:
	[ -d $(BIN_DIR) ] || mkdir -p $(BIN_DIR)
	cp ip2host $(BIN_DIR)
	[ -d $(MAN_DIR) ] || mkdir -p $(MAN_DIR)
	pod2man ip2host > $(MAN_DIR)/ip2host.1

clean:
	rm -f *~ core

## ip2host 0.09-2

=== debian/changelog ===
ip2host (0.09-2) unstable; urgency=low

  * Almost after one month of the previous upload reporting a new
    version, I found out that due to not checking upstream's strange way
    of managing his repository, I was still providing 0.06 - Fixed.
  * New upstream version provides a smarter regex for finding where in each
    line does the IP address appear in each line (Closes: #175499)

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 18 Nov 2003 12:49:42 -0600

ip2host (0.09-1) unstable; urgency=low

  * New upstream version
  * As the upstream author ships only the single "ip2host" file, there
    exists no orig.tar.gz - I am making this a native Debian package.
  * Corrected the copyright information - ip2host is licensed under the
    same terms as Perl itself (Artistic and GPL licenses), not only
    under the Artistic license

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 24 Oct 2003 13:18:44 -0500

ip2host (0.06-2) unstable; urgency=low

  * New maintainer - Gunnar Wolf <gwolf@debian.org>
  * Bumped standards-version to 3.6.1

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 24 Oct 2003 12:56:23 -0500

ip2host (0.06-1) unstable; urgency=low

  * Initial Release (Closes: #137340) 

 -- Sebastien J. Gross <sjg@debian.org>  Fri,  8 Mar 2002 14:26:36 +0100

=== debian/control ===
Source: ip2host
Section: web
Priority: optional
Maintainer: Gunnar Wolf <gwolf@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0)
Standards-Version: 3.6.1

Package: ip2host
Architecture: all
Depends: ${shlibs:Depends}
Description: Resolve IPs to hostnames in web server logs
 This script is a drop-in replacement for the logresolve.pl
 script distributed with the Apache web server.
 .
 ip2host has the same basic design of forking children to handle
 the DNS resolution in parallel, but multiplexes the communication
 to minimize the impact of slow responses.  This results in a
 significant speed improvement (approximately 10x faster), and 
 the performance degrades more gracefully as the DNS timeout value
 is increased.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/ip2host

binary-arch: ;
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ip2host 1.10

=== debian/changelog ===
ip2host (1.10-2) unstable; urgency=low

  * Added vcs-git, vcs-browser fields to debian/control
  * Added reference to upstream Git repository in debian/copyright, as
    its webpage is gone
  * Add IPv6 support (Closes: #659801)
  * Drop the unhelpful_error_messages patch, as it's completely inside
    support_ipv6
  * Update standards-version to 3.9.2 (no changes needed)

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 15 Feb 2012 21:46:34 -0600

ip2host (1.10-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright following DEP5 format
  * Standards-version 3.7.3 → 3.8.4 (no changes needed)
  * Updated debhelper version to 7 (minimal debian/rules)
  * Switched to 3.0 (quilt) source format
  * Silences unhelpful error messages when IP cannot be resolved
    (Closes: #563129)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 18 Feb 2010 08:45:43 -0600

ip2host (0.09-4) unstable; urgency=low

  * Updated debhelper version to 5
  * Moved debhelper from build-depends-indep to build-depends
  * Bumped up standards-version to 3.7.3; no changes needed
  * Updated debian/copyright stating upstream is no longer available :-/

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 23 Dec 2007 11:25:21 -0600

ip2host (0.09-3) unstable; urgency=low

  * Re-packaged as a non-Debian-native package (Closes: #261658)
  * Moved from section Web to section Utils, as it is not only meant to
    be used for Apache logfiles

 -- Gunnar Wolf <gwolf@debian.org>  Sat,  7 Aug 2004 18:34:09 -0500

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: ip2host
-Section: web
+Section: utils
 Priority: optional
 Maintainer: Gunnar Wolf <gwolf@debian.org>
-Build-Depends-Indep: debhelper (>> 4.0.0)
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>> 7)
+Standards-Version: 3.9.2
+Vcs-Git: git://git.debian.org/git/collab-maint/ip2host.git
+Vcs-Browser: http://git.debian.org/git/collab-maint/ip2host.git
 
 Package: ip2host
 Architecture: all
-Depends: ${shlibs:Depends}
+Depends: ${misc:Depends}
 Description: Resolve IPs to hostnames in web server logs
  This script is a drop-in replacement for the logresolve.pl
  script distributed with the Apache web server.

## ip2host 1.13

=== debian/changelog ===
ip2host (1.13-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 02:31:47 +0100

ip2host (1.13-2) unstable; urgency=low

  * Some hiccup on my side made the binary package to be empty for the
    last uploaded version. Fix it, and include a manpage.
  * Perl was not yet listed neither as a dependency or as a build-
    dependency‽ Fix it.

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 13 Jun 2013 10:18:25 -0500

ip2host (1.13-1) unstable; urgency=low

  * New upstream version; incorporates our past bug fixes since 1.10-1
  * Updated standards-version to 3.9.4 (no changes needed)
  * Added missing debian/watch by Bart Martens; thanks!

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 23 May 2013 10:51:00 -0500

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: utils
 Priority: optional
 Maintainer: Gunnar Wolf <gwolf@debian.org>
-Build-Depends: debhelper (>> 7)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>> 7.0.50~), perl
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/collab-maint/ip2host.git
 Vcs-Browser: http://git.debian.org/git/collab-maint/ip2host.git
 
 Package: ip2host
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, perl
 Description: Resolve IPs to hostnames in web server logs
  This script is a drop-in replacement for the logresolve.pl
  script distributed with the Apache web server.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_installman:
	pod2man ip2host > debian/ip2host.1
	dh_installman debian/ip2host.1

override_dh_clean:
	rm -f debian/ip2host.1
	dh_clean

=== debian/watch ===
version=3
https://github.com/mla/ip2host/downloads \
.*/ip2host-(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
# Bart Martens <bartm@debian.org>  Sun, 03 Mar 2013 21:16:09 +0000
